@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@200;300;400;500;600;700;800;900;1000&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    padding: 0;
    margin: 0;
    font-family: 'Cairo' , 'Poppins', sans-serif;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

header{
    width: 100%;
    background-color: #e9a133;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 100px;
    position: relative;
    z-index: 999;
    box-shadow: 0 5px 25px rgba(1, 1, 1, 50%);
}

.header_text{
    color: #177775;
    text-transform: uppercase;
    font-size: 1.8em;
    font-weight: 800;
}

.home{
    color: #177775;
    font-size: 1.9em;
    font-weight: 700;
    transition: .7s ease;
}

.home:hover{
    text-shadow: 0 5px 25px rgba(1, 1, 1, 50%);
}

section{
    padding: 100px 200px;
}

.main{
    padding: 0;
    width: 100%;
    height: 88.7vh;
    display: flex;
    overflow: hidden;
    box-shadow: 0 5px 25px rgba(1, 1, 1, 50%);
    border-bottom: 15px solid #e9a133;
}

.winter_villa{
    width: 50%;
    background: url(wbg.jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    color: rgb(62, 152, 255);
    transition: .8s ease; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 0;
    text-align: center;
    --ch2:#17777500;
    --go:color_back1 .7s ease;
}

.winter_villa:hover{
    width: 190%;
    box-shadow: 15px 0px 30px rgba(1, 1, 1, 50%);
    z-index: 5;
    font-size: 1.5em;
    --go:color_go1 .7s ease;
    --ch:rgb(62, 152, 255);
    --ch2:rgb(255, 107, 49);
}

.summer_villa{
    width: 50%;
    background: url(sbg.jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    color: rgb(255, 107, 49);
    transition: .8s ease;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 0;
    text-align: center;
    --go:color_back .7s ease;
    --ch2:rgba(255, 107, 49, 0);
}

.summer_villa:hover{
    width: 190%;
    box-shadow: -15px 0px 30px rgba(1, 1, 1, 50%);
    z-index: 2;
    font-size: 1.5em;
    --go:color_go .7s ease;
    --ch:rgb(255, 107, 49);
    --ch2:rgb(62, 152, 255);
}

.wicon{
    font-size: 5em;
}

.main_text{
    font-size: 1.6em;
    text-transform: uppercase;
    font-weight: 700;
    overflow: hidden;
}

.info{
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: center;
}

.info a{
    text-decoration: none;
}

.btn{
    animation: var(--go) ;
    font-size: 1.2em;
    font-weight: 600;
    width: 9.375em;
    color: var(--ch2);
    text-align: center;
    align-items: center;
    border-radius: 15px;
    background-color: var(--ch);
}

@keyframes color_go{
    0%{
        background-color: rgba(255, 107, 49, 0);
        color: rgba(62, 152, 255, 0);
    }

    100%{
        background-color: rgb(255, 107, 49);
        color: rgb(62, 152, 255);
    }
}

@keyframes color_back{
    0%{
        background-color:rgb(255, 107, 49) ;
        color: rgb(62, 152, 255);
    }

    100%{
        background-color: rgba(255, 107, 49, 0);
        color: rgba(62, 152, 255, 0);
    }
}

@keyframes color_go1{
    0%{
        background-color: rgba(0, 0, 0, 0);
        color: #17777500;
    }

    100%{
        background-color: rgb(62, 152, 255);
        color: rgb(255, 107, 49);
    }
}

@keyframes color_back1{
    0%{
        background-color:rgb(62, 152, 255) ;
        color: rgb(255, 107, 49);
    }

    100%{
        background-color: rgba(0, 0, 0, 0);
        color: #17777500;
    }
}


/*the main end here*/

#summer{
    background: linear-gradient(#f2f2e2 40%,rgb(255, 107, 49));
}

.title{
    display: flex;
    justify-content: center;
    font-size: 2.2em;
    font-weight: 800;
    color: rgb(255, 107, 49);
    margin-bottom: 30px;
}

.content{
    display: flex;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
}

.card{
    background-color: #fdf6e7;
    width: 21.25em;
    box-shadow: 0 5px 25px rgba(1, 1, 1, 15%);
    border-radius: 10px;
    padding: 25px;
    margin: 15px;
    transition: .7s ease;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    text-decoration: none;
    transition: .7s ease;
}

.card:hover{
    z-index: 99;
    transform: scale(1.3);
}

.imgs{
    width: 18em;
    display: flex;
    overflow-x: scroll;
    gap: 15px;
    scroll-snap-type: x mandatory;
    border-radius: 10px;
    scroll-behavior: smooth;
}

.imgs img{
    width: 18em;
    scroll-snap-align: start;
    object-fit: cover;
}

.arro{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 6px;
    margin-top: 10px;
}

.arro a{
    transition: .7s ease;
}

.arro a:hover{
    transform: scale(1.1);
}

.arro .left{
    border: 10px solid;
    border-color:rgba(255, 107, 49, 0) rgb(255, 107, 49) rgba(255, 107, 49, 0) rgba(255, 107, 49, 0);
}

.arro .right{
    border: 10px solid;
    border-color: rgba(255, 107, 49, 0)rgba(255, 107, 49, 0) rgba(255, 107, 49, 0) rgb(255, 107, 49);
}

#winter .arro .left{
    border-color:rgba(255, 107, 49, 0) rgb(62, 152, 255) rgba(255, 107, 49, 0) rgba(255, 107, 49, 0);
}

#winter .arro .right{
    border-color: rgba(255, 107, 49, 0)rgba(255, 107, 49, 0) rgba(255, 107, 49, 0) rgb(62, 152, 255);
}

::-webkit-scrollbar{
    width: 10px;
}

::-webkit-scrollbar-track{
    background-color: #ffffeb;
    box-shadow: 0 0 10px #555 inset;
}

.imgs::-webkit-scrollbar{
    height: 9px;
}

.imgs::-webkit-scrollbar-thumb{
    border-radius: unset;
    background-color: rgb(255, 107, 49);
}

.imgs::-webkit-scrollbar-thumb:hover{
    background-color: rgb(170, 71, 32);
}

.imgs::-webkit-scrollbar-track{
    margin-top: 10px;
}

::-webkit-scrollbar-thumb{
    border-radius: 25px;
    background-color: #e9a133;
}

::-webkit-scrollbar-thumb:hover{
    background-color: #a87323;
}

.card_info{
    padding: 15px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.card_info h3{
    text-transform: uppercase;
    font-size: 1.8em;
    font-weight: 700;
    color: rgb(255, 107, 49);
}

.card_info a{
    text-decoration: none;
    margin-top: 20px;
}

.Book_now{
    width: 10em;
    border-radius: 25px;
    align-items: center;
    text-align: center;
    text-transform: lowercase;
    font-size: 1.5em;
    font-weight: 600;
    background-color: rgb(255, 107, 49);
    color: #fdf6e7;
    transition: .7s ease;
}

.Book_now:hover{
    transform: scale(1.1);
    background-color: rgb(170, 71, 32);
}

/*summer css end */

.color_switch{
    width: 100%;
    height: 10em;
    background: linear-gradient(rgb(255, 107, 49),rgb(62, 152, 255));
}

#winter{
    background: linear-gradient( rgb(62, 152, 255) 5%,#f2f2e2) 50%;
}

#winter .title{
    color: #f2f2e2;
}

#winter .card_info h3{
    color: rgb(62, 152, 255);
}

#winter .Book_now{
    background-color: rgb(62, 152, 255);
}

#winter .Book_now:hover{
    transform: scale(1.1);
    background-color: rgb(38, 94, 158);
}

#winter .imgs::-webkit-scrollbar-thumb{
    background-color: rgb(62, 152, 255);
}

#winter .imgs::-webkit-scrollbar-thumb:hover{
    background-color: rgb(38, 94, 158);
}

/*winter end*/

.contact .card{
    width: 18.75em;
}

#content{
    border-top: 1px solid #e7e7d8;
    background-color:#f2f2e2 ;
}

#content .title{
    color: #e9a133;
}

#content .card .info{
    flex-direction: column;
}

.contact .card:hover{
    transform: scale(1.1);
    rotate: 2deg;
    background-color: #d4d1c9;
}

.icon{
    font-size: 8em;
    font-weight: 800;
    color: #e9a133;
    text-align: center;
}

#content .info{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

#content .info h3{
    font-size: 1.2em;
    font-weight: 700;
    color: #332827;
    margin: 0 10px 10px 10px ;
}

#content .info p{
    color: #332827;
    font-weight: 500;
}

#content .card:hover{
    transform: scale(1.1);
}

#content .location{
    width: 10em;
    color: #332827;
    text-align: center;
    background-color: #e9a133;
    border-radius: 25px;
    display: flex;
    justify-content: center;
}

/*contact end*/

.footer {
    padding: 15px;
    align-items: center;
    display: flex;
    justify-content: space-between;
    background-color: #e9a133;
    box-shadow: 0 -10px 20px rgba(0, 0, 0, 20%);
}

.footer p{
    font-size: 1.5em;
    font-weight: 400;
}

.footer p span{
    color: #177775;
}

.social_icone a{
    margin: 15px;
    color: #177775;
    font-size: 1.7em;
    transition: .7s ease;
}

.social_icone{
    margin-top: 10px;
    text-align: center;
}

.social_icone a:hover{
    color: rgb(41, 78, 78);
}

@media (max-width:1390px){
    section{
        padding: 80px 100px;
    }
}

@media (max-width:1034px){
    .wicon{
        font-size: 3em;
    }

    .main_text{
        font-size: 1.3em;
    }

    .btn{
        font-size: 1em;
        width: 6.875em;
    }

    header{
        padding: 12px 20px;
    }

    .title{
        font-size: 1.8em;
    }

    section{
        padding: 80px 20px;
    }

    .card{
        width: 17.5em;
    }

    .imgs{
        width: 14.5em;
    }
    
    .imgs img{
        width: 14.5em;
    }

    .icon{
        font-size: 6em;
        font-weight: 600;
    }

    .footer p{
        font-size: 1.2em;
        font-weight: 400;
    }

    .footer .social_icone a{
        font-size: 1.5em;
    }

    .contact .card{
        width: 15em;
    }

    .card_info{
        padding: 10px;
    }

    .card_info h3{
        font-size: 1.5em;
        
    }

    .Book_now{
        width: 8em;
        font-size: 1.3em;
        font-weight: 500;
    }
}

@media (max-width:480px){
    .home{
        font-size: 1.5em;
    }

    .header_text{
        font-size: 1.4em;

    }

    .card{
        width: 15.625em;
    }

    .imgs{
        width: 12.6em;
    }
    
    .imgs img{
        width: 12.6em;
    }

    .icon{
        font-size: 4em;
        font-weight: 600;
    }

    .contact .card{
        width: 12.5em;
    }

    .footer p{
        font-size: .9em;
        font-weight: 400;
    }

    .footer .social_icone a{
        font-size: 1em;
    }

    .footer .social_icone a{
        margin: 5px;
    }
}